package com.unis.base.server.example;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TySltpxxExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TySltpxxExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andTpidIsNull() {
            addCriterion("TPID is null");
            return (Criteria) this;
        }

        public Criteria andTpidIsNotNull() {
            addCriterion("TPID is not null");
            return (Criteria) this;
        }

        public Criteria andTpidEqualTo(String value) {
            addCriterion("TPID =", value, "tpid");
            return (Criteria) this;
        }

        public Criteria andTpidNotEqualTo(String value) {
            addCriterion("TPID <>", value, "tpid");
            return (Criteria) this;
        }

        public Criteria andTpidGreaterThan(String value) {
            addCriterion("TPID >", value, "tpid");
            return (Criteria) this;
        }

        public Criteria andTpidGreaterThanOrEqualTo(String value) {
            addCriterion("TPID >=", value, "tpid");
            return (Criteria) this;
        }

        public Criteria andTpidLessThan(String value) {
            addCriterion("TPID <", value, "tpid");
            return (Criteria) this;
        }

        public Criteria andTpidLessThanOrEqualTo(String value) {
            addCriterion("TPID <=", value, "tpid");
            return (Criteria) this;
        }

        public Criteria andTpidLike(String value) {
            addCriterion("TPID like", value, "tpid");
            return (Criteria) this;
        }

        public Criteria andTpidNotLike(String value) {
            addCriterion("TPID not like", value, "tpid");
            return (Criteria) this;
        }

        public Criteria andTpidIn(List<String> values) {
            addCriterion("TPID in", values, "tpid");
            return (Criteria) this;
        }

        public Criteria andTpidNotIn(List<String> values) {
            addCriterion("TPID not in", values, "tpid");
            return (Criteria) this;
        }

        public Criteria andTpidBetween(String value1, String value2) {
            addCriterion("TPID between", value1, value2, "tpid");
            return (Criteria) this;
        }

        public Criteria andTpidNotBetween(String value1, String value2) {
            addCriterion("TPID not between", value1, value2, "tpid");
            return (Criteria) this;
        }

        public Criteria andCjpssjIsNull() {
            addCriterion("CJPSSJ is null");
            return (Criteria) this;
        }

        public Criteria andCjpssjIsNotNull() {
            addCriterion("CJPSSJ is not null");
            return (Criteria) this;
        }

        public Criteria andCjpssjEqualTo(Date value) {
            addCriterion("CJPSSJ =", value, "cjpssj");
            return (Criteria) this;
        }

        public Criteria andCjpssjNotEqualTo(Date value) {
            addCriterion("CJPSSJ <>", value, "cjpssj");
            return (Criteria) this;
        }

        public Criteria andCjpssjGreaterThan(Date value) {
            addCriterion("CJPSSJ >", value, "cjpssj");
            return (Criteria) this;
        }

        public Criteria andCjpssjGreaterThanOrEqualTo(Date value) {
            addCriterion("CJPSSJ >=", value, "cjpssj");
            return (Criteria) this;
        }

        public Criteria andCjpssjLessThan(Date value) {
            addCriterion("CJPSSJ <", value, "cjpssj");
            return (Criteria) this;
        }

        public Criteria andCjpssjLessThanOrEqualTo(Date value) {
            addCriterion("CJPSSJ <=", value, "cjpssj");
            return (Criteria) this;
        }

        public Criteria andCjpssjIn(List<Date> values) {
            addCriterion("CJPSSJ in", values, "cjpssj");
            return (Criteria) this;
        }

        public Criteria andCjpssjNotIn(List<Date> values) {
            addCriterion("CJPSSJ not in", values, "cjpssj");
            return (Criteria) this;
        }

        public Criteria andCjpssjBetween(Date value1, Date value2) {
            addCriterion("CJPSSJ between", value1, value2, "cjpssj");
            return (Criteria) this;
        }

        public Criteria andCjpssjNotBetween(Date value1, Date value2) {
            addCriterion("CJPSSJ not between", value1, value2, "cjpssj");
            return (Criteria) this;
        }

        public Criteria andCjscsjIsNull() {
            addCriterion("CJSCSJ is null");
            return (Criteria) this;
        }

        public Criteria andCjscsjIsNotNull() {
            addCriterion("CJSCSJ is not null");
            return (Criteria) this;
        }

        public Criteria andCjscsjEqualTo(Date value) {
            addCriterion("CJSCSJ =", value, "cjscsj");
            return (Criteria) this;
        }

        public Criteria andCjscsjNotEqualTo(Date value) {
            addCriterion("CJSCSJ <>", value, "cjscsj");
            return (Criteria) this;
        }

        public Criteria andCjscsjGreaterThan(Date value) {
            addCriterion("CJSCSJ >", value, "cjscsj");
            return (Criteria) this;
        }

        public Criteria andCjscsjGreaterThanOrEqualTo(Date value) {
            addCriterion("CJSCSJ >=", value, "cjscsj");
            return (Criteria) this;
        }

        public Criteria andCjscsjLessThan(Date value) {
            addCriterion("CJSCSJ <", value, "cjscsj");
            return (Criteria) this;
        }

        public Criteria andCjscsjLessThanOrEqualTo(Date value) {
            addCriterion("CJSCSJ <=", value, "cjscsj");
            return (Criteria) this;
        }

        public Criteria andCjscsjIn(List<Date> values) {
            addCriterion("CJSCSJ in", values, "cjscsj");
            return (Criteria) this;
        }

        public Criteria andCjscsjNotIn(List<Date> values) {
            addCriterion("CJSCSJ not in", values, "cjscsj");
            return (Criteria) this;
        }

        public Criteria andCjscsjBetween(Date value1, Date value2) {
            addCriterion("CJSCSJ between", value1, value2, "cjscsj");
            return (Criteria) this;
        }

        public Criteria andCjscsjNotBetween(Date value1, Date value2) {
            addCriterion("CJSCSJ not between", value1, value2, "cjscsj");
            return (Criteria) this;
        }

        public Criteria andSskddmIsNull() {
            addCriterion("SSKDDM is null");
            return (Criteria) this;
        }

        public Criteria andSskddmIsNotNull() {
            addCriterion("SSKDDM is not null");
            return (Criteria) this;
        }

        public Criteria andSskddmEqualTo(String value) {
            addCriterion("SSKDDM =", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotEqualTo(String value) {
            addCriterion("SSKDDM <>", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmGreaterThan(String value) {
            addCriterion("SSKDDM >", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmGreaterThanOrEqualTo(String value) {
            addCriterion("SSKDDM >=", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLessThan(String value) {
            addCriterion("SSKDDM <", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLessThanOrEqualTo(String value) {
            addCriterion("SSKDDM <=", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLike(String value) {
            addCriterion("SSKDDM like", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotLike(String value) {
            addCriterion("SSKDDM not like", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmIn(List<String> values) {
            addCriterion("SSKDDM in", values, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotIn(List<String> values) {
            addCriterion("SSKDDM not in", values, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmBetween(String value1, String value2) {
            addCriterion("SSKDDM between", value1, value2, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotBetween(String value1, String value2) {
            addCriterion("SSKDDM not between", value1, value2, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskdmcIsNull() {
            addCriterion("SSKDMC is null");
            return (Criteria) this;
        }

        public Criteria andSskdmcIsNotNull() {
            addCriterion("SSKDMC is not null");
            return (Criteria) this;
        }

        public Criteria andSskdmcEqualTo(String value) {
            addCriterion("SSKDMC =", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotEqualTo(String value) {
            addCriterion("SSKDMC <>", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcGreaterThan(String value) {
            addCriterion("SSKDMC >", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSKDMC >=", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLessThan(String value) {
            addCriterion("SSKDMC <", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLessThanOrEqualTo(String value) {
            addCriterion("SSKDMC <=", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLike(String value) {
            addCriterion("SSKDMC like", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotLike(String value) {
            addCriterion("SSKDMC not like", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcIn(List<String> values) {
            addCriterion("SSKDMC in", values, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotIn(List<String> values) {
            addCriterion("SSKDMC not in", values, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcBetween(String value1, String value2) {
            addCriterion("SSKDMC between", value1, value2, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotBetween(String value1, String value2) {
            addCriterion("SSKDMC not between", value1, value2, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSsqydmIsNull() {
            addCriterion("SSQYDM is null");
            return (Criteria) this;
        }

        public Criteria andSsqydmIsNotNull() {
            addCriterion("SSQYDM is not null");
            return (Criteria) this;
        }

        public Criteria andSsqydmEqualTo(String value) {
            addCriterion("SSQYDM =", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotEqualTo(String value) {
            addCriterion("SSQYDM <>", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmGreaterThan(String value) {
            addCriterion("SSQYDM >", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmGreaterThanOrEqualTo(String value) {
            addCriterion("SSQYDM >=", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLessThan(String value) {
            addCriterion("SSQYDM <", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLessThanOrEqualTo(String value) {
            addCriterion("SSQYDM <=", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLike(String value) {
            addCriterion("SSQYDM like", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotLike(String value) {
            addCriterion("SSQYDM not like", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmIn(List<String> values) {
            addCriterion("SSQYDM in", values, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotIn(List<String> values) {
            addCriterion("SSQYDM not in", values, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmBetween(String value1, String value2) {
            addCriterion("SSQYDM between", value1, value2, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotBetween(String value1, String value2) {
            addCriterion("SSQYDM not between", value1, value2, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIsNull() {
            addCriterion("SSYQMC is null");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIsNotNull() {
            addCriterion("SSYQMC is not null");
            return (Criteria) this;
        }

        public Criteria andSsyqmcEqualTo(String value) {
            addCriterion("SSYQMC =", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotEqualTo(String value) {
            addCriterion("SSYQMC <>", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcGreaterThan(String value) {
            addCriterion("SSYQMC >", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSYQMC >=", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLessThan(String value) {
            addCriterion("SSYQMC <", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLessThanOrEqualTo(String value) {
            addCriterion("SSYQMC <=", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLike(String value) {
            addCriterion("SSYQMC like", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotLike(String value) {
            addCriterion("SSYQMC not like", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIn(List<String> values) {
            addCriterion("SSYQMC in", values, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotIn(List<String> values) {
            addCriterion("SSYQMC not in", values, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcBetween(String value1, String value2) {
            addCriterion("SSYQMC between", value1, value2, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotBetween(String value1, String value2) {
            addCriterion("SSYQMC not between", value1, value2, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andTpwjmcIsNull() {
            addCriterion("TPWJMC is null");
            return (Criteria) this;
        }

        public Criteria andTpwjmcIsNotNull() {
            addCriterion("TPWJMC is not null");
            return (Criteria) this;
        }

        public Criteria andTpwjmcEqualTo(String value) {
            addCriterion("TPWJMC =", value, "tpwjmc");
            return (Criteria) this;
        }

        public Criteria andTpwjmcNotEqualTo(String value) {
            addCriterion("TPWJMC <>", value, "tpwjmc");
            return (Criteria) this;
        }

        public Criteria andTpwjmcGreaterThan(String value) {
            addCriterion("TPWJMC >", value, "tpwjmc");
            return (Criteria) this;
        }

        public Criteria andTpwjmcGreaterThanOrEqualTo(String value) {
            addCriterion("TPWJMC >=", value, "tpwjmc");
            return (Criteria) this;
        }

        public Criteria andTpwjmcLessThan(String value) {
            addCriterion("TPWJMC <", value, "tpwjmc");
            return (Criteria) this;
        }

        public Criteria andTpwjmcLessThanOrEqualTo(String value) {
            addCriterion("TPWJMC <=", value, "tpwjmc");
            return (Criteria) this;
        }

        public Criteria andTpwjmcLike(String value) {
            addCriterion("TPWJMC like", value, "tpwjmc");
            return (Criteria) this;
        }

        public Criteria andTpwjmcNotLike(String value) {
            addCriterion("TPWJMC not like", value, "tpwjmc");
            return (Criteria) this;
        }

        public Criteria andTpwjmcIn(List<String> values) {
            addCriterion("TPWJMC in", values, "tpwjmc");
            return (Criteria) this;
        }

        public Criteria andTpwjmcNotIn(List<String> values) {
            addCriterion("TPWJMC not in", values, "tpwjmc");
            return (Criteria) this;
        }

        public Criteria andTpwjmcBetween(String value1, String value2) {
            addCriterion("TPWJMC between", value1, value2, "tpwjmc");
            return (Criteria) this;
        }

        public Criteria andTpwjmcNotBetween(String value1, String value2) {
            addCriterion("TPWJMC not between", value1, value2, "tpwjmc");
            return (Criteria) this;
        }

        public Criteria andTpmsIsNull() {
            addCriterion("TPMS is null");
            return (Criteria) this;
        }

        public Criteria andTpmsIsNotNull() {
            addCriterion("TPMS is not null");
            return (Criteria) this;
        }

        public Criteria andTpmsEqualTo(String value) {
            addCriterion("TPMS =", value, "tpms");
            return (Criteria) this;
        }

        public Criteria andTpmsNotEqualTo(String value) {
            addCriterion("TPMS <>", value, "tpms");
            return (Criteria) this;
        }

        public Criteria andTpmsGreaterThan(String value) {
            addCriterion("TPMS >", value, "tpms");
            return (Criteria) this;
        }

        public Criteria andTpmsGreaterThanOrEqualTo(String value) {
            addCriterion("TPMS >=", value, "tpms");
            return (Criteria) this;
        }

        public Criteria andTpmsLessThan(String value) {
            addCriterion("TPMS <", value, "tpms");
            return (Criteria) this;
        }

        public Criteria andTpmsLessThanOrEqualTo(String value) {
            addCriterion("TPMS <=", value, "tpms");
            return (Criteria) this;
        }

        public Criteria andTpmsLike(String value) {
            addCriterion("TPMS like", value, "tpms");
            return (Criteria) this;
        }

        public Criteria andTpmsNotLike(String value) {
            addCriterion("TPMS not like", value, "tpms");
            return (Criteria) this;
        }

        public Criteria andTpmsIn(List<String> values) {
            addCriterion("TPMS in", values, "tpms");
            return (Criteria) this;
        }

        public Criteria andTpmsNotIn(List<String> values) {
            addCriterion("TPMS not in", values, "tpms");
            return (Criteria) this;
        }

        public Criteria andTpmsBetween(String value1, String value2) {
            addCriterion("TPMS between", value1, value2, "tpms");
            return (Criteria) this;
        }

        public Criteria andTpmsNotBetween(String value1, String value2) {
            addCriterion("TPMS not between", value1, value2, "tpms");
            return (Criteria) this;
        }

        public Criteria andTplxIsNull() {
            addCriterion("TPLX is null");
            return (Criteria) this;
        }

        public Criteria andTplxIsNotNull() {
            addCriterion("TPLX is not null");
            return (Criteria) this;
        }

        public Criteria andTplxEqualTo(String value) {
            addCriterion("TPLX =", value, "tplx");
            return (Criteria) this;
        }

        public Criteria andTplxNotEqualTo(String value) {
            addCriterion("TPLX <>", value, "tplx");
            return (Criteria) this;
        }

        public Criteria andTplxGreaterThan(String value) {
            addCriterion("TPLX >", value, "tplx");
            return (Criteria) this;
        }

        public Criteria andTplxGreaterThanOrEqualTo(String value) {
            addCriterion("TPLX >=", value, "tplx");
            return (Criteria) this;
        }

        public Criteria andTplxLessThan(String value) {
            addCriterion("TPLX <", value, "tplx");
            return (Criteria) this;
        }

        public Criteria andTplxLessThanOrEqualTo(String value) {
            addCriterion("TPLX <=", value, "tplx");
            return (Criteria) this;
        }

        public Criteria andTplxLike(String value) {
            addCriterion("TPLX like", value, "tplx");
            return (Criteria) this;
        }

        public Criteria andTplxNotLike(String value) {
            addCriterion("TPLX not like", value, "tplx");
            return (Criteria) this;
        }

        public Criteria andTplxIn(List<String> values) {
            addCriterion("TPLX in", values, "tplx");
            return (Criteria) this;
        }

        public Criteria andTplxNotIn(List<String> values) {
            addCriterion("TPLX not in", values, "tplx");
            return (Criteria) this;
        }

        public Criteria andTplxBetween(String value1, String value2) {
            addCriterion("TPLX between", value1, value2, "tplx");
            return (Criteria) this;
        }

        public Criteria andTplxNotBetween(String value1, String value2) {
            addCriterion("TPLX not between", value1, value2, "tplx");
            return (Criteria) this;
        }

        public Criteria andTpsjlIsNull() {
            addCriterion("TPSJL is null");
            return (Criteria) this;
        }

        public Criteria andTpsjlIsNotNull() {
            addCriterion("TPSJL is not null");
            return (Criteria) this;
        }

        public Criteria andTpsjlEqualTo(String value) {
            addCriterion("TPSJL =", value, "tpsjl");
            return (Criteria) this;
        }

        public Criteria andTpsjlNotEqualTo(String value) {
            addCriterion("TPSJL <>", value, "tpsjl");
            return (Criteria) this;
        }

        public Criteria andTpsjlGreaterThan(String value) {
            addCriterion("TPSJL >", value, "tpsjl");
            return (Criteria) this;
        }

        public Criteria andTpsjlGreaterThanOrEqualTo(String value) {
            addCriterion("TPSJL >=", value, "tpsjl");
            return (Criteria) this;
        }

        public Criteria andTpsjlLessThan(String value) {
            addCriterion("TPSJL <", value, "tpsjl");
            return (Criteria) this;
        }

        public Criteria andTpsjlLessThanOrEqualTo(String value) {
            addCriterion("TPSJL <=", value, "tpsjl");
            return (Criteria) this;
        }

        public Criteria andTpsjlLike(String value) {
            addCriterion("TPSJL like", value, "tpsjl");
            return (Criteria) this;
        }

        public Criteria andTpsjlNotLike(String value) {
            addCriterion("TPSJL not like", value, "tpsjl");
            return (Criteria) this;
        }

        public Criteria andTpsjlIn(List<String> values) {
            addCriterion("TPSJL in", values, "tpsjl");
            return (Criteria) this;
        }

        public Criteria andTpsjlNotIn(List<String> values) {
            addCriterion("TPSJL not in", values, "tpsjl");
            return (Criteria) this;
        }

        public Criteria andTpsjlBetween(String value1, String value2) {
            addCriterion("TPSJL between", value1, value2, "tpsjl");
            return (Criteria) this;
        }

        public Criteria andTpsjlNotBetween(String value1, String value2) {
            addCriterion("TPSJL not between", value1, value2, "tpsjl");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("STATUS is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Short value) {
            addCriterion("STATUS =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Short value) {
            addCriterion("STATUS <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Short value) {
            addCriterion("STATUS >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Short value) {
            addCriterion("STATUS >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Short value) {
            addCriterion("STATUS <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Short value) {
            addCriterion("STATUS <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Short> values) {
            addCriterion("STATUS in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Short> values) {
            addCriterion("STATUS not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Short value1, Short value2) {
            addCriterion("STATUS between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Short value1, Short value2) {
            addCriterion("STATUS not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNull() {
            addCriterion("CREATOR is null");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNotNull() {
            addCriterion("CREATOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorEqualTo(String value) {
            addCriterion("CREATOR =", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotEqualTo(String value) {
            addCriterion("CREATOR <>", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThan(String value) {
            addCriterion("CREATOR >", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR >=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThan(String value) {
            addCriterion("CREATOR <", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThanOrEqualTo(String value) {
            addCriterion("CREATOR <=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLike(String value) {
            addCriterion("CREATOR like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotLike(String value) {
            addCriterion("CREATOR not like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorIn(List<String> values) {
            addCriterion("CREATOR in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotIn(List<String> values) {
            addCriterion("CREATOR not in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorBetween(String value1, String value2) {
            addCriterion("CREATOR between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotBetween(String value1, String value2) {
            addCriterion("CREATOR not between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNull() {
            addCriterion("CREATOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNotNull() {
            addCriterion("CREATOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeEqualTo(String value) {
            addCriterion("CREATOR_CODE =", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotEqualTo(String value) {
            addCriterion("CREATOR_CODE <>", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThan(String value) {
            addCriterion("CREATOR_CODE >", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE >=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThan(String value) {
            addCriterion("CREATOR_CODE <", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE <=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLike(String value) {
            addCriterion("CREATOR_CODE like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotLike(String value) {
            addCriterion("CREATOR_CODE not like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIn(List<String> values) {
            addCriterion("CREATOR_CODE in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotIn(List<String> values) {
            addCriterion("CREATOR_CODE not in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE not between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNull() {
            addCriterion("REFRESH_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNotNull() {
            addCriterion("REFRESH_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeEqualTo(Date value) {
            addCriterion("REFRESH_TIME =", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotEqualTo(Date value) {
            addCriterion("REFRESH_TIME <>", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThan(Date value) {
            addCriterion("REFRESH_TIME >", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME >=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThan(Date value) {
            addCriterion("REFRESH_TIME <", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME <=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIn(List<Date> values) {
            addCriterion("REFRESH_TIME in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotIn(List<Date> values) {
            addCriterion("REFRESH_TIME not in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME not between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}